Support » Plugin: WP-Ban » latest version of wp-ban breaks after 4.3 update

Viewing 15 replies - 1 through 15 (of 31 total)
  • Similar problem here after 4.3 upgrade, site just produced following :-
    Fatal error: Cannot redeclare get_language_attributes() (previously declared in /home//wp-includes/general-template.php:2624) in /home/wp-content/plugins/wp-ban/wp-ban.php on line 244
    removed plugin via ftp and site now works ok

    yes, that’s exactly the same error i’m getting on all my clients sites. so far i’ve had to disable it on about 20 sites 🙁

    Fatal error: Cannot redeclare get_language_attributes() (previously declared in /wp-includes/general-template.php:2624) in //wp-content/plugins/wp-ban/wp-ban.php on line 249

    Yes, I have too.

    Fatal error: Cannot redeclare get_language_attributes() (previously declared in /home/k/kodzero/tjo.biz/wp-includes/general-template.php:2624) in /home/k/kodzero/tjo.biz/wp-content/plugins/wp-ban/wp-ban.php on line 244

    Yupp, same probleme here
    Fatal error: Cannot redeclare get_language_attributes() (previously declared in /home/XXXXXXX/public_html/wp-includes/general-template.php:2624) in /home/XXXXXXX/public_html/wp-content/plugins/wp-ban/wp-ban.php on line 249

    My theme Amplify, my language english and I’m using qTranslate…

    Fatal error: Cannot redeclare get_language_attributes() (previously declared in /home/xxxx/domains/xxxx.com/public_html/wp-includes/general-template.php:2624) in /home/xxxx/domains/xxxxx.com/public_html/wp-content/plugins/wp-ban2/wp-ban.php on line 244

    Same problem here. I disabled, it on my last update, updated to 4.3 successfully, but when I tried to Activate it again this is the error I get:
    Fatal error: Cannot redeclare get_language_attributes() (previously declared in /MYURL/wp-includes/general-template.php:2624) in /home/simons10/public_html/wp-content/plugins/wp-ban/wp-ban.php on line 249

    Plugin Author Lester Chan

    (@gamerz)

    Fixed in 1.66

    i am a noob here. hello. i have the same problem as above how do i deactivate the plug in without qacess to the wp-admin? thank you

    Thank you!

    Just comment out the function get_language_attributes in wp-ban.php, if you cannot access wp-admin either.
    Then you should be able to update to latest version, boom. Fixed

    Line 237 to 245

    ### Function: Returns page’s language attributes depends on WordPress language
    #function get_language_attributes($doctype = ‘html’) {
    # ob_start();
    # language_attributes();
    # $language_attributes = ob_get_contents();
    # ob_end_clean();
    # return $language_attributes;
    #}

    Getting a Fatal error: Call to undefined function get_language_attributes on multiple sites with 1.66 version that I’ve been trying to install today. Plugin won’t activate.

    Trying to help fix this issue for a friends site. I don’t have any FTP or SSH access to the website and all I am getting is that Fatal error message. I can’t login and remove the wp-ban plugin folder. How am I suppose to fix this?

    janderson9,

    You really do need FTP to comment out the lines I mention above. This is the only way you get rid of the error. Nothing will work on the installation until these lines are removed.

    ok, i had the same problems, went into the site via FTP, deactivated the plugin, now have access to the site through normal route , no FTP needed.

    I then deleted the while file and updated with the latest version.

    so, here is what is happening now.

    access to the site via Search engines is working, however if you try to access the site via direct typing in the URL without the WWW , the error remians

    Site is

    Spray Painters

    so, it has only been partially fixed

Viewing 15 replies - 1 through 15 (of 31 total)
  • The topic ‘latest version of wp-ban breaks after 4.3 update’ is closed to new replies.